//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
	using Neo.ApplicationFramework.Interfaces.Tag;
	using Neo.ApplicationFramework.Tools.OpcClient;
	using System.Data;  
	using System.IO;
	using System.Reflection;
	using GlobalDataItem = Neo.ApplicationFramework.Tools.OpcClient.GlobalDataItem;
	using LightweightTag = Neo.ApplicationFramework.Tools.OpcClient.LightweightTag;
	
	
    public partial class Screen1
    {
		void Button2_Click(System.Object sender, System.EventArgs e)
		{
			
			try{
				FieldInfo[] tagField = typeof(Neo.ApplicationFramework.Generated.Tags).GetFields(BindingFlags.Public|BindingFlags.Instance);
				for(int i = 0; i < tagField.Length; i++)
				{
					if(tagField[i].Name.Contains("Tag"))
					{
						GlobalDataItem tag = Tags.StringToTag<GlobalDataItem>(tagField[i].Name.ToString());
						if (tag == null)
						{
							LightweightTag tag2 = Tags.StringToTag<LightweightTag>(tagField[i].Name.ToString());
							tag2[0].Value=10;
							if (tag2 == null)
							{
								MessageBox.Show("Error");
							}
							else
							{	
								MessageBox.Show(tag2.Value.ToString());
							}
						}
						else
						{
							MessageBox.Show(tag.Value.ToString());
						}
						
					}
					else 
						return;
				}
			}	
			catch (Exception ex)
			{
				MessageBox.Show("Exception occured, "+ ex.Message);	
			}
			
			
		}
		
    }
}
