//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
	using Neo.ApplicationFramework.Interfaces.Tag;
	using Neo.ApplicationFramework.Tools.OpcClient;
	using System.Data;  
	using System.IO;
	using System.Reflection;
	using GlobalDataItem = Neo.ApplicationFramework.Tools.OpcClient.GlobalDataItem;
	using LightweightTag = Neo.ApplicationFramework.Tools.OpcClient.LightweightTag;
    
    
    public partial class Tags
    {
		public static T StringToTag<T>(string tagName) where T : class
		{
			Type type = typeof(T);
			FieldInfo[] props = Globals.Tags.GetType().GetFields();
			foreach (FieldInfo prop in props) {
				if (prop.FieldType.Equals(type)) {
					if (prop.Name.Equals(tagName, StringComparison.CurrentCultureIgnoreCase)) {
						return (T)prop.GetValue(Globals.Tags);
					}               
				}
			}
			return null;
		}
    }
}
